Bug 1122706 - spacewalk-export needs to be able to export config-file information
Summary: spacewalk-export needs to be able to export config-file information
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-23 20:08 UTC by Grant Gainey
Modified: 2014-10-01 12:27 UTC (History)
6 users (show)

Fixed In Version: spacewalk-reports-2.3.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 12:27:20 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-07-23 20:08:52 UTC
Currently there is no way to get cfg-file infomrmation out of spacewalk using spacewalk-reports.

We need:
 - a way to get all revisions of all cfg-files
 - a way to get just the newest version of all cfg-files

Comment 1 Grant Gainey 2014-07-23 20:10:27 UTC
Added two new reports - config-files and config-files-latest

spacewalk-commit d7d8956a3ed9f1b3aeec41f8f04443bac7d37d4f

Comment 2 RHEL Product and Program Management 2014-07-23 20:34:21 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Grant Gainey 2014-07-28 17:16:17 UTC
new reports is nice - hooking them into spacewalk-export is the important part, tho

Comment 5 Grant Gainey 2014-07-28 17:24:29 UTC
spacewalk-commit 4afcd2fa5ea3dddef0aafc21f046d837725621d4

Comment 6 Grant Gainey 2014-07-30 23:01:54 UTC
Added channel_id

spacewalk commit 8d6c9d5ecfc694300a0766341d7d265035f50d63

Comment 8 Tomas Lestach 2014-09-04 15:34:35 UTC
# spacewalk-report | grep config-
config-files
config-files-latest

E.g.
# spacewalk-report config-files-latest | head -3
org_id,channel_id,channel,channel_type,path,file_type,file_id,revision,is_binary,contents,delim_start,delim_end,username,groupname,filemode,symbolic_link,selinux_ctx
1,410,ad-test-1,normal,"/""scriptalert1/script",file,496,1,N,Test.,{|,|},root,root,644,,
1,370,cfg-test-1,normal,/etc/hosts,file,476,3,N,"# Do not remove the following line, or various programs

spacewalk-reports-2.0.1-14.el6sat.noarch

spacewalk-export supports this report ...

# spacewalk-export --list-entities 2>&1| grep config
INFO:  config-files-latest : Latest revision of all configuration files
# spacewalk-export --entities=config-files-latest --export-dir=/tmp/config-try
INFO: Processing config-files...
INFO: Export-file created at /tmp/config-try/spacewalk_export.tar.gz
# ll /tmp/config-try/exports/config-files-latest.csv
-rw-r--r--. 1 root root 636078 Sep  4 17:30 /tmp/config-try/exports/config-files-latest.csv

spacewalk-utils-2.0.2-16.el6sat.noarch

DEVELOPER VERIFIED

Comment 9 Grant Gainey 2014-10-01 12:27:20 UTC
Released as part of Sat 6.0 GA


Note You need to log in before you can comment on or make changes to this bug.